PathGenerator< GSG > Class Template Reference
Monte Carlo framework

Generates random paths using a sequence generator. More...

`#include <ql/methods/montecarlo/pathgenerator.hpp>`

## Public Types

typedef Sample< Path > | sample_type

## Public Member Functions

| PathGenerator (const boost::shared_ptr< StochasticProcess > &, Time length, Size timeSteps, const GSG &generator, bool brownianBridge)
| PathGenerator (const boost::shared_ptr< StochasticProcess > &, const TimeGrid &timeGrid, const GSG &generator, bool brownianBridge)
inspectors
const sample_type & | next () const
const sample_type & | antithetic () const
Size | size () const
const TimeGrid & | timeGrid () const

## Detailed Description

### template<class GSG>
class QuantLib::PathGenerator< GSG >

Generates random paths using a sequence generator.

Generates random paths with drift(S,t) and variance(S,t) using a gaussian sequence generator

Tests:
  the generated paths are checked against cached results

Examples:
  DiscreteHedging.cpp.